package com.mmc.iuav.user.service.fdd;


import com.mmc.iuav.response.ResultBody;
import com.mmc.iuav.user.model.dto.LoginSuccessDTO;
import com.mmc.iuav.user.model.fdd.dto.UserFddDTO;

import java.util.List;
import java.util.Map;

/**
 * author:zhenjie
 * Date:2022/9/1
 * time:15:46
 */
public interface UserFddAuthService {
    String register(String uid, String accountType);

    ResultBody getPersonVerifyUrl(Integer userAccountId);

    ResultBody getCompanyVerifyUrl(Integer port, LoginSuccessDTO loginSuccessDTO);

    ResultBody notifyECertRes(Map<String, String> map);

    ResultBody findCompanyCertInfo(Integer port, Integer flag, LoginSuccessDTO loginSuccessDTO);

    String replaceUnableString(String uid);

    ResultBody<List<UserFddDTO>> getAppUserFddInfo(Integer port, LoginSuccessDTO loginSuccessDTO);

    ResultBody getFileByUuid(String uuid, String docType);


//    List<UserFddDTO> feignGetAppUserFddInfo(List<String> unionId);
}
